import java.util.ArrayList;
import java.util.Vector;

/**
 * Lab #6
 * CS 2334, Section 0??
 * DATE GOES HERE
 * <P>
 * This class implements a data type that represents
 * a list of movies.
 * </P>
 * @author Group #??
 * @version 1.0
 */
public class MovieListModel
{
	/** List of movies */
	private ArrayList<Movie> movieList;

	/**
	 * Initializes the list model.
	 */
	MovieListModel()
	{
		movieList = new ArrayList<Movie>();
	}


	/**
	 * Adds a movie to the list.
	 * <P>
	 * @param   movie       Movie to add to the list.
	 */
	public void add( Movie movie )
	{
		movieList.add( movie );
	}

	/**
	 * Removes the specified movie from the list.
	 * <P>
	 * @param    index   Index of the movie in the list to remove.
	 */
	public void remove( int index )
	{
		movieList.remove( index );
	}

	/**
	 * Returns a vector representation of the list of movies.
	 * <P>
	 * @return   A Vector containing the movies in the list.
	 */
	@SuppressWarnings("unchecked")
	public Vector<Movie> getVector()
	{
		Vector movieVector = new Vector<Movie>();
		movieVector.addAll( movieList );
		return movieVector;
	}
}

